All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::ToGpuClonerMultiple Struct Reference
Inheritance diagram for faiss::gpu::ToGpuClonerMultiple:

## Public Member Functions

| ToGpuClonerMultiple (std::vector< GpuResources * > &resources, std::vector< int > &devices, const GpuMultipleClonerOptions &options)
| ToGpuClonerMultiple (const std::vector< ToGpuCloner > &sub_cloners, const GpuMultipleClonerOptions &options)
void | copy_ivf_shard (const IndexIVF *index_ivf, IndexIVF *idx2, long n, long i)
Index * | clone_Index (const Index *index) override
Public Member Functions inherited from faiss::Cloner
virtual VectorTransform * | clone_VectorTransform (const VectorTransform *)
virtual IndexIVF * | clone_IndexIVF (const IndexIVF *)

## Public Attributes

std::vector< ToGpuCloner > | sub_cloners
Public Attributes inherited from faiss::gpu::GpuMultipleClonerOptions
bool | shard
int | shard_type
| IndexIVF::copy_subset_to subset type.
Public Attributes inherited from faiss::gpu::GpuClonerOptions
IndicesOptions | indicesOptions
bool | useFloat16CoarseQuantizer
| is the coarse quantizer in float16?
bool | useFloat16
bool | usePrecomputed
| use precomputed tables?
long | reserveVecs
| reserve vectors in the invfiles?
bool | storeTransposed
| For GpuIndexFlat, store data in transposed layout?
bool | verbose
| Set verbose options on the index.

## Detailed Description

Definition at line 179 of file GpuAutoTune.cpp.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/GpuAutoTune.cpp